FactoryGirl.define do
  factory :audience_collection do

    trait :with_affiliation do
      affiliation ['Employee']
    end

    trait :with_school do
      school ['Cook']
    end

    trait :with_student_level do
      student_level ['Undergrad']
    end

    trait :with_class_standing do
      class_standing ['Senior']
    end

    trait :with_major do
      major ['Computer Science']
    end

    trait :with_housing_status do
      housing_status ['Off-Campus Commuter']
    end

    trait :with_employee_type do
      employee_type ['Employee']
    end

    trait :with_department do
      department ['Information Technology']
    end

  end
end
