FactoryGirl.define do
  factory :external_article do
    author
    external_blog
    sequence(:title) { |n| "Title ##{n}" }
    sequence(:guid) { |n| "287kghs##{n}" }
    categories ["Sports", "Teams"]
    body Faker::Lorem.paragraph(4)
    publish_at DateTime.now - 1

    trait :published do
      published true
      publish_at DateTime.now
    end
  end
end
