FactoryGirl.define do
  factory :feature do
    title { Faker::Company.name }
    type Feature::TYPES.first
    image_type Feature::IMAGE_TYPES.first
    image { File.open('spec/fixtures/upload.png') }
    image_alternative_text { Faker::Lorem.sentence }
    mobile_image { File.open('spec/fixtures/upload.png') }
    call_to_action_link { Faker::Internet.url }
    feature_location

    publish_at DateTime.now
  end
end
