FactoryGirl.define do
  factory :organization do
    sequence(:title) { |n| Faker::Commerce.department+"#{n}" }
    website { Faker::Internet.url }
    phone { Faker::PhoneNumber.extension }
    email { Faker::Internet.email }

    trait :with_social_media do
      # make sure you persist the Organization before trying to build the embedded document
      social_medium
    end

    trait :with_address do
      address
    end
  end
end
