FactoryGirl.define do
  factory :outcome_edition do
    introduction { Faker::Lorem.sentence(15) }
    body         { Faker::Lorem.paragraph(5) }
    title        { Faker::Company.name }

    trait :parts do
      after(:build) do |outcome_edition|
        FactoryGirl.create :part, outcome_edition: outcome_edition
      end
    end
  end
end
