FactoryGirl.define do
  factory :article do
    sequence(:title) { |n| "Title ##{n}" }
    body Faker::Lorem.paragraph(4)
    topics ['Chimes']
    audience ['Students']
    site
    authors { [FactoryGirl.create(:author)] }

    trait :published do
      published true
      publish_at DateTime.now
    end
  end
end
