FactoryGirl.define do
  factory :group do
    sequence(:title) { |n| Faker::Commerce.department+"#{n}" }
    description { "<p>We #{Faker::Company.bs}.</p>" }
    email { Faker::Internet.email }
    phone { Faker::PhoneNumber.extension}
    fax { Faker::PhoneNumber.extension}
    website { "http://#{Faker::Internet.domain_name}" }
  end
end
