FactoryGirl.define do
  factory :page_edition do
    site
    sequence(:title) {|n| Faker::Company.catch_phrase + "#{n}"}
    sequence(:slug) {|n| Faker::Internet.slug(nil, '-') + "#{n}"}

    trait :draft do
      aasm_state 'draft'
    end

    trait :published do
      aasm_state 'published'
    end

    trait :archived do
      aasm_state 'archived'
    end
  end
end
