FactoryGirl.define do
  factory :user do
    first_name { Faker::Name.first_name }
    last_name { Faker::Name.last_name }
    sequence(:username) { |n| Faker::Internet.user_name + n.to_s }
    sequence(:biola_id) { |n| Faker::Number.number(9) + n.to_s }
    title { Faker::Job.title }
    email { Faker::Internet.email }
    photo_url { Faker::Internet.url('example.com', "/#{username}.jpg") }
    department { Faker::Commerce.department }
    sequence(:trogdir_id) { |n| Faker::Lorem.characters(10) + n.to_s }

    affiliations { [] }
    entitlements { [] }
  end
end
